using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class RoomTypeSceneModal
	{
		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
		/// <summary>
		/// RoomTypeSceneID
		/// </summary>
		public virtual RoomTypeScene Scene
		{
			get;
			set;
		}
		/// <summary>
		/// 回路
		/// </summary>
		public virtual RoomTypeModal Modal
		{
			get;
			set;
		}
		/// <summary>
		/// 设备状态：1开，2关
		/// </summary>
		public virtual int Status
		{
			get;
			set;
		}
		/// <summary>
		/// 亮度
		/// </summary>
		public virtual int Brightness
		{
			get;
			set;
        }
        /// <summary>
        /// 当前温度
        /// </summary>
        public virtual int CurrentTemp
        {
            get;
            set;
        }
        /// <summary>
        /// 设定温度
        /// </summary>
        public virtual int SettingTemp
        {
            get;
            set;
        }
        /// <summary>
        /// 风速
        /// </summary>
        public virtual int FanSpeed
        {
            get;
            set;
        }
        /// <summary>
        /// 模式
        /// </summary>
        public virtual int Mode
        {
            get;
            set;
        }
        /// <summary>
        /// 阀门
        /// </summary>
        public virtual int Valve
        {
            get;
            set;
        }
	}
}
